MSVSSLABEL (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.vss, class: MSVSSLABEL

Package org.apache.tools.ant.taskdefs.optional.vss

# Class MSVSSLABEL

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.optional.vss.MSVSS
org.apache.tools.ant.taskdefs.optional.vss.MSVSSLABEL

All Implemented Interfaces:
  `Cloneable`, `MSVSSConstants`

public class MSVSSLABEL extends MSVSS
Performs Label commands to Microsoft Visual SourceSafe.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class org.apache.tools.ant.taskdefs.optional.vss.MSVSS

  `MSVSS.CurrentModUpdated, MSVSS.WritableFiles`

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

  ### Fields inherited from interface org.apache.tools.ant.taskdefs.optional.vss.MSVSSConstants

  `COMMAND_ADD, COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_CP, COMMAND_CREATE, COMMAND_GET, COMMAND_HISTORY, COMMAND_LABEL, FLAG_AUTORESPONSE_DEF, FLAG_AUTORESPONSE_NO, FLAG_AUTORESPONSE_YES, FLAG_BRIEF, FLAG_CODEDIFF, FLAG_COMMENT, FLAG_FILETIME_DEF, FLAG_FILETIME_MODIFIED, FLAG_FILETIME_UPDATED, FLAG_LABEL, FLAG_LOGIN, FLAG_NO_FILE, FLAG_NO_GET, FLAG_OUTPUT, FLAG_OVERRIDE_WORKING_DIR, FLAG_QUIET, FLAG_RECURSION, FLAG_REPLACE_WRITABLE, FLAG_SKIP_WRITABLE, FLAG_USER, FLAG_VERSION, FLAG_VERSION_DATE, FLAG_VERSION_LABEL, FLAG_WRITABLE, PROJECT_PREFIX, SS_EXE, STYLE_BRIEF, STYLE_CODEDIFF, STYLE_DEFAULT, STYLE_NOFILE, TIME_CURRENT, TIME_MODIFIED, TIME_UPDATED, VALUE_FROMDATE, VALUE_FROMLABEL, VALUE_NO, VALUE_YES, WRITABLE_FAIL, WRITABLE_REPLACE, WRITABLE_SKIP`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MSVSSLABEL()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setAutoresponse(String response)`
  Autoresponse behaviour.
  `void`
  `setComment(String comment)`
  Comment to apply to files labeled in SourceSafe.
  `void`
  `setLabel(String label)`
  Label to apply in SourceSafe.
  `void`
  `setVersion(String version)`
  Version to label.

  ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.vss.MSVSS

  `execute, getAutoresponse, getComment, getFileTimeStamp, getGetLocalCopy, getLabel, getLocalpath, getLogin, getOutput, getQuiet, getRecursive, getSSCommand, getStyle, getUser, getVersion, getVersionDate, getVersionDateLabel, getVersionLabel, getVsspath, getWritable, getWritableFiles, setFailOnError, setInternalAutoResponse, setInternalComment, setInternalDate, setInternalDateFormat, setInternalFailOnError, setInternalFileTimeStamp, setInternalFromDate, setInternalFromLabel, setInternalGetLocalCopy, setInternalLabel, setInternalLocalPath, setInternalNumDays, setInternalOutputFilename, setInternalQuiet, setInternalRecursive, setInternalStyle, setInternalToDate, setInternalToLabel, setInternalUser, setInternalVersion, setInternalWritable, setInternalWritableFiles, setLogin, setServerpath, setSsdir, setVsspath`

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MSVSSLABEL

    public MSVSSLABEL()

- ## Method Details

  - ### setLabel

    public void setLabel(String label)
    Label to apply in SourceSafe.
    Parameters:
      `label` - The label to apply.

  - ### setVersion

    public void setVersion(String version)
    Version to label.
    Parameters:
      `version` - The version to label.

  - ### setComment

    public void setComment(String comment)
    Comment to apply to files labeled in SourceSafe.
    Parameters:
      `comment` - The comment to apply in SourceSafe

  - ### setAutoresponse

    public void setAutoresponse(String response)
    Autoresponse behaviour. Valid options are Y and N.
    Parameters:
      `response` - The auto response value.